%define debug_package %{nil}
Name:           xcb-proto
Version:        1.15
Release:        1
Summary:        XCB protocol descriptions
License:        MIT
URL:            https://xcb.freedesktop.org/
Source0:        https://xcb.freedesktop.org/dist/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:	python3-devel
Requires:       pkgconfig

%description
The X protocol C-language Binding (XCB) is a replacement for
Xlib featuring a small footprint, latency hiding, direct access
to the protocol, improved threading support, and extensibility.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --libdir=%{_datadir}
%make_build

%install
%make_install

%files
%doc COPYING NEWS README.md TODO doc/xml-xcb.txt
%{_datadir}/pkgconfig/xcb-proto.pc
%dir %{_datadir}/xcb/
%{_datadir}/xcb/*.xsd
%{_datadir}/xcb/*.xml
%{python3_sitelib}/xcbgen

%changelog
* Thu Oct 27 2022 wangkerong <wangkerong@h-partners.com> - 1.15-1
- upgrade to 1.15

* Sat Jan 08 2022 dongyuzhen <dongyuzhen@huawei.com> - 1.14-2
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:fixes for python 3.9

* Mon Jul 27 2020 chxssg<chxssg@qq.com> - 1.14-1
- update package to 1.14

* Thu Nov 28 2019 yangjian<yangjian79@huawei.com> - 1.13-6
- Package init
